RIP = $(shell cd ../../; pwd)
HOSTNAME = $(shell hostname)
ISSITEFILE = $(shell cd $(RIP); ls Makefile.site.$(HOSTNAME) > /dev/null 2>&1 ; echo $$?)

# Selection of the site-specific Makefile.
ifeq ($(ISSITEFILE),0)
include ../../Makefile.site.$(HOSTNAME)
else
include ../../Makefile.site.generic
endif

INC = ../../include
LIB = ../../lib

SOURCES = $(shell ls *.c)
HEADERS = $(shell ls ../../include/*.h)
DEFS    = $(shell ls ../../include/*.def)

include ../../VERSION
